Page MenuHomeFreeBSD

www/tomcat[6|7|8]: Bring improvements from Tomcat[85|9]
ClosedPublic

Authored by dbaio on Jul 29 2018, 2:22 PM.

Details

Summary
www/tomcat[6|7|8]: Bring improvements from Tomcat[85|9]

- Add options [1]
  Based on Apache Tomcat documentation guidance, the default web applications
  have varying degrees of risk, these options will permit users to select
  which of the web applications should be installed.

- Remove start_precmd from rcfile in Tomcat7 and Tomcat8 [2]
  This is not being used, users can use ${name}_env to pass variables

- Mark additional config files as @sample [3]

PR:		218865 [1]
PR:		228418 [2]
PR:		229102 [3]

Submitted by:	Matt <fsbruva@yahoo.com> [1]
Submitted by:	VVD <vvd@unislabs.com> [2] [3]
Reported by:	Michael Osipov <1983-01-06@gmx.net> [2] [3]
Approved by:	ale ???
Differential Revision:	https://reviews.freebsd.org/D16499
Test Plan

Tomcat85 and Tomcat9 are already using these options.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dbaio created this revision.Jul 29 2018, 2:22 PM
dbaio edited the summary of this revision. (Show Details)Jul 29 2018, 2:24 PM
dbaio updated this revision to Diff 45992.Jul 29 2018, 4:09 PM

Bring improvements from PR 229102

dbaio retitled this revision from www/tomcat[6|7|8]: Add options, Remove start_precmd from rcfile to www/tomcat[6|7|8]: Bring improvements from Tomcat[85|9].Jul 29 2018, 4:12 PM
dbaio edited the summary of this revision. (Show Details)
dbaio updated this revision to Diff 45993.Jul 29 2018, 4:54 PM

Fix samples

Looks good to me.

This revision is now accepted and ready to land.Jul 30 2018, 9:42 AM
This revision was automatically updated to reflect the committed changes.